Bug 248043 - devel/libftdi1: Wrong pkg-config after 1.5 update
Summary: devel/libftdi1: Wrong pkg-config after 1.5 update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-17 12:52 UTC by Emmanuel Vadot
Modified: 2020-07-21 22:03 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bsam)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot freebsd_committer 2020-07-17 12:52:30 UTC
With 1.4_15 :

$ pkg-config --cflags
libftdi1 -I/usr/local/include/libftdi1
$ pkg-config --cflags
libftdipp1 -I/usr/local/include/libftdi1 
$ ls /usr/local/include/libftdi1
ftdi.h          ftdi.hpp

 With 1.5
$ pkg-config --cflags libftdi1
-I/usr/local/include/libftdipp1 
$ pkg-config --cflags libftdipp1
-I/usr/local/include/libftdipp1 
$ ls /usr/local/include/libftdipp1/
ftdi.hpp

 ftdi.h is still present in the same directory.

This cause breakage it ports that uses it.
Comment 1 Dutchman01 2020-07-19 18:26:43 UTC
i changed pkg-plist

share/doc/libftdipp1/example.conf
into
share/doc/libftdi1/example.conf

now no more error for me
Comment 2 commit-hook freebsd_committer 2020-07-21 22:02:03 UTC
A commit references this bug:

Author: bsam
Date: Tue Jul 21 22:01:07 UTC 2020
New revision: 542811
URL: https://svnweb.freebsd.org/changeset/ports/542811

Log:
  devel/libftdi1: fix paths when FTDIPP is set

  Incorporate an upstream fix:
  http://developer.intra2net.com/mailarchive/html/libftdi-git/2020/msg00024.html
  This should fix devel/libsigrok build.

  PR:		248043
  Submitted by:	manu

Changes:
  head/devel/libftdi1/Makefile
  head/devel/libftdi1/files/patch-CMakeLists.txt
  head/devel/libftdi1/pkg-plist
Comment 3 Boris Samorodov freebsd_committer 2020-07-21 22:03:57 UTC
The port should be fixed now. Thank you!